EUCA-REGISTER(1)

NAME
euca-register - Register a new image

SYNOPSIS
euca-register -n NAME [-d DESCRIPTION] [-a {i386,x86_64,armhf}]

[--kernel KERNEL] [--ramdisk RAMDISK]
    [--root-device-name DEVICE] [-s SNAPSHOT] [-b DEVICE=MAPPED] [--virtualization-type {paravirtual,hvm}] [--platform windows] [--show-empty-fields] [-U URL] [--region USER@REGION] [-I KEY_ID] [-S KEY] [--security-token TOKEN] [--debug] [--debugger] [--version] [-h] [MANIFEST]

DESCRIPTION
Register a new image

  positional arguments:

MANIFEST
    location of the image manifest in S3 storage (required for instance-store images)

  optional arguments:

-n NAME, --name NAME
    name of the new image (required)

-d DESCRIPTION, --description DESCRIPTION
    description of the new image

-a {i386,x86_64,armhf}, --architecture {i386,x86_64,armhf}
    CPU architecture of the new image

--kernel KERNEL
    ID of the kernel to associate with the new image

--ramdisk RAMDISK
    ID of the ramdisk to associate with the new image

--root-device-name DEVICE
    root device name (default: /dev/sda1)

-s SNAPSHOT, --snapshot SNAPSHOT
    snapshot to use for the root device

-b DEVICE=MAPPED, --block-device-mapping DEVICE=MAPPED
    define a block device mapping for the image, in the form DEVICE=MAPPED, where "MAPPED" is "none", "ephemeral(0-3)", or "[SNAPID]:[GiB]:[true|false]:[standard|VOLTYPE[:IOPS]]"

--virtualization-type {paravirtual,hvm}
    virtualization type for the new image

--platform windows
    [Privileged] the new image's platform (windows)

--show-empty-fields
    show empty values as "(nil)"

-U URL, --url URL
    compute service endpoint URL

--region USER@REGION
    region and/or user names to search when looking up config file data

-I KEY_ID, --access-key-id KEY_ID

-S KEY, --secret-key KEY

--security-token TOKEN

--debug
    show debugging output

--debugger
    launch interactive debugger on error

--version
    show the program's version and exit

-h, --help
    show this help message and exit